Subject: Re: PC seed exchange

From: Lee Barnes <[email-masked]>
Date: Fri, 10 Oct 1997 20:38:47 -0500

Jack Rowe wrote:
> 
> Does anyone know the address (e- or snail-mail) or phone number of the
> permaculture seed exchange which was operating in the US about one-two
> years ago?
> 
> Thanks, Jack

Jack, The Permaculture Seed and Plant Exchange is florishing under the
wizardry of Joe Hollis, 3020 Whiteoak Creek Road, Burnsville, NC 28714
USA (704)-675-5664. I consider this catalog to be the best existing
reference and source list for useful perennials and self-seeding annuals
or North America and northern temperate climates! Membership (1997) is
$7/yr. Joe has his own list (Mountain Gardens) of available seed and
plants for +/- 322 species. Spread the word! Happy Trails, Lee Barnes.
Happy Trails Permaculture, PO Box 1303, Waynesville, NC 28786.
(704)-452-5716.